org.eclipse.incquery.runtime.rete.recipes.util

## Class RecipesAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.incquery.runtime.rete.recipes.util.RecipesAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class RecipesAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `RecipesPackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipesAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAggregatorIndexerRecipeAdapter()` Creates a new adapter for an object of class '`Aggregator Indexer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAggregatorRecipeAdapter()` Creates a new adapter for an object of class '`Aggregator Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAlphaRecipeAdapter()` Creates a new adapter for an object of class '`Alpha Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAntiJoinRecipeAdapter()` Creates a new adapter for an object of class '`Anti Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createBetaRecipeAdapter()` Creates a new adapter for an object of class '`Beta Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCheckRecipeAdapter()` Creates a new adapter for an object of class '`Check Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstantRecipeAdapter()` Creates a new adapter for an object of class '`Constant Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCountAggregatorRecipeAdapter()` Creates a new adapter for an object of class '`Count Aggregator Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createEqualityFilterRecipeAdapter()` Creates a new adapter for an object of class '`Equality Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEvalRecipeAdapter()` Creates a new adapter for an object of class '`Eval Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createExistenceJoinRecipeAdapter()` Creates a new adapter for an object of class '`Existence Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionDefinitionAdapter()` Creates a new adapter for an object of class '`Expression Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionEnforcerRecipeAdapter()` Creates a new adapter for an object of class '`Expression Enforcer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFilterRecipeAdapter()` Creates a new adapter for an object of class '`Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIndexerRecipeAdapter()` Creates a new adapter for an object of class '`Indexer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInequalityFilterRecipeAdapter()` Creates a new adapter for an object of class '`Inequality Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInputFilterRecipeAdapter()` Creates a new adapter for an object of class '`Input Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInputRecipeAdapter()` Creates a new adapter for an object of class '`Input Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJoinRecipeAdapter()` Creates a new adapter for an object of class '`Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMaskAdapter()` Creates a new adapter for an object of class '`Mask`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMultiParentNodeRecipeAdapter()` Creates a new adapter for an object of class '`Multi Parent Node Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createProductionRecipeAdapter()` Creates a new adapter for an object of class '`Production Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createProjectionIndexerRecipeAdapter()` Creates a new adapter for an object of class '`Projection Indexer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createReteNodeRecipeAdapter()` Creates a new adapter for an object of class '`Rete Node Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createReteRecipeAdapter()` Creates a new adapter for an object of class '`Rete Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSemiJoinRecipeAdapter()` Creates a new adapter for an object of class '`Semi Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSingleParentNodeRecipeAdapter()` Creates a new adapter for an object of class '`Single Parent Node Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStringIndexMapEntryAdapter()` Creates a new adapter for an object of class '`String Index Map Entry`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTransitiveClosureRecipeAdapter()` Creates a new adapter for an object of class '`Transitive Closure Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTransparentRecipeAdapter()` Creates a new adapter for an object of class '`Transparent Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTrimmerRecipeAdapter()` Creates a new adapter for an object of class '`Trimmer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUniquenessEnforcerRecipeAdapter()` Creates a new adapter for an object of class '`Uniqueness Enforcer Recipe`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecipesAdapterFactory

          public RecipesAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createReteRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createReteRecipeAdapter()

      Creates a new adapter for an object of class '`Rete Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ReteRecipe`

    - #### createReteNodeRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createReteNodeRecipeAdapter()

      Creates a new adapter for an object of class '`Rete Node Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ReteNodeRecipe`

    - #### createSingleParentNodeRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createSingleParentNodeRecipeAdapter()

      Creates a new adapter for an object of class '`Single Parent Node Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SingleParentNodeRecipe`

    - #### createAlphaRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createAlphaRecipeAdapter()

      Creates a new adapter for an object of class '`Alpha Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AlphaRecipe`

    - #### createMultiParentNodeRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createMultiParentNodeRecipeAdapter()

      Creates a new adapter for an object of class '`Multi Parent Node Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MultiParentNodeRecipe`

    - #### createUniquenessEnforcerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createUniquenessEnforcerRecipeAdapter()

      Creates a new adapter for an object of class '`Uniqueness Enforcer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UniquenessEnforcerRecipe`

    - #### createProductionRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createProductionRecipeAdapter()

      Creates a new adapter for an object of class '`Production Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProductionRecipe`

    - #### createIndexerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createIndexerRecipeAdapter()

      Creates a new adapter for an object of class '`Indexer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IndexerRecipe`

    - #### createProjectionIndexerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createProjectionIndexerRecipeAdapter()

      Creates a new adapter for an object of class '`Projection Indexer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProjectionIndexerRecipe`

    - #### createAggregatorIndexerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createAggregatorIndexerRecipeAdapter()

      Creates a new adapter for an object of class '`Aggregator Indexer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AggregatorIndexerRecipe`

    - #### createBetaRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createBetaRecipeAdapter()

      Creates a new adapter for an object of class '`Beta Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BetaRecipe`

    - #### createMaskAdapter

          public org.eclipse.emf.common.notify.Adapter createMaskAdapter()

      Creates a new adapter for an object of class '`Mask`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Mask`

    - #### createStringIndexMapEntryAdapter

          public org.eclipse.emf.common.notify.Adapter createStringIndexMapEntryAdapter()

      Creates a new adapter for an object of class '`String Index Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Map.Entry`

    - #### createInputRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createInputRecipeAdapter()

      Creates a new adapter for an object of class '`Input Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InputRecipe`

    - #### createConstantRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createConstantRecipeAdapter()

      Creates a new adapter for an object of class '`Constant Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConstantRecipe`

    - #### createTransitiveClosureRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createTransitiveClosureRecipeAdapter()

      Creates a new adapter for an object of class '`Transitive Closure Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TransitiveClosureRecipe`

    - #### createFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FilterRecipe`

    - #### createInequalityFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createInequalityFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Inequality Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InequalityFilterRecipe`

    - #### createEqualityFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createEqualityFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Equality Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EqualityFilterRecipe`

    - #### createTransparentRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createTransparentRecipeAdapter()

      Creates a new adapter for an object of class '`Transparent Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TransparentRecipe`

    - #### createTrimmerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createTrimmerRecipeAdapter()

      Creates a new adapter for an object of class '`Trimmer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TrimmerRecipe`

    - #### createExpressionDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionDefinitionAdapter()

      Creates a new adapter for an object of class '`Expression Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExpressionDefinition`

    - #### createExpressionEnforcerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionEnforcerRecipeAdapter()

      Creates a new adapter for an object of class '`Expression Enforcer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExpressionEnforcerRecipe`

    - #### createCheckRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createCheckRecipeAdapter()

      Creates a new adapter for an object of class '`Check Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CheckRecipe`

    - #### createEvalRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createEvalRecipeAdapter()

      Creates a new adapter for an object of class '`Eval Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EvalRecipe`

    - #### createAggregatorRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createAggregatorRecipeAdapter()

      Creates a new adapter for an object of class '`Aggregator Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AggregatorRecipe`

    - #### createCountAggregatorRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createCountAggregatorRecipeAdapter()

      Creates a new adapter for an object of class '`Count Aggregator Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CountAggregatorRecipe`

    - #### createJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JoinRecipe`

    - #### createExistenceJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createExistenceJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Existence Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExistenceJoinRecipe`

    - #### createSemiJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createSemiJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Semi Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SemiJoinRecipe`

    - #### createAntiJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createAntiJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Anti Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AntiJoinRecipe`

    - #### createInputFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createInputFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Input Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InputFilterRecipe`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.